//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
NEWS
======================================================================================================================================
*/

.c-news__filter {
    .u-flex-display;
    .u-justify-content(space-between);
    .u-align-items(center);
    @media @media_smartphone {
        .u-flex-direction(column);
        .u-align-items(flex-start);
    }
}

.c-news {
    .inner {
        .u-flex-display;
        .u-flex-wrap(wrap);
        max-width: 1360px;
    }
}

.c-newsItem {
    position: relative;
    width: calc(100%/3 ~'-'30px);
    background-color: fade(@color__secondary, 15%);
    border-bottom-left-radius: 20px;
    margin: 15px;
    color: white;
    background-image: url('./images/icon-arrow-right.svg');
    background-position: right 25px top 25px;
    background-repeat: no-repeat;
    background-size: auto;
    .u-flex-display;
    .u-flex-direction(column);
    .u-justify-content(space-between);
    .transition-default--long;

    &:hover {
        background-color: fade(@color__secondary, 30%);
    }

    @media @media_smartphone,
    @media_tablet {
        .u-flex-direction(row-reverse);
        .u-justify-content(flex-end);
        width: 100%;
        margin: 0 0 @margin__s 0;
    }
}

.c-newsItem__texts {
    padding: @margin__s 30px;

    .c-newsItem__info {
        color: @color__secondary;
    }

    .c-newsItem__title {
        font-family: @font_base;
        font-size: @size__r;
        text-transform: uppercase;
        font-weight: @font_w__r;
    }
}

.c-newsItem__image {
    position: relative;
    height: 200px;
    border-bottom-left-radius: 20px;
    overflow: hidden;

    @media @media_tablet, @media_smartphone {
        width: 20vw;
        height: 100%;
        .u-flex-shrink(0);
    }

    @media @media_smartphone {
        display: none;
    }
}

// Pager
.navigation {
    padding: @margin__s;
    width: 100%;

}
.nav-links {
    .u-flex-display;
    .u-align-items(center);
    .u-justify-content(space-between);
    a{
        .o-button;
    }
    .nav-previous a {
        text-align: right;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 10px;
        padding-left: 30px;
        padding-right: 10px;
        &:before {
            right: initial;
            left: 10px;
            background-image: url('./images/icon-arrow-left.svg');
        }
        &:hover:before {
            background-image: url('./images/icon-arrow-left-blu.svg');
        }
    }
}

//News article
.c-newsArticle {
    .c-page;
    .inner {
        position: relative;
        margin: 20vh auto;
        max-width: @maxWidthContainer;
        .u-flex-display;
        .u-align-items(flex-start);
        .u-justify-content(space-between); 
    }  

    @media @media_tablet, @media_smartphone {
        .inner {
            margin: 0 auto @margin__m;
            .u-flex-direction(column);
        } 
    }
}

.c-newsArticle__image {
    width: 400px;
    height: auto;
    position: sticky;
    top: @header__h + @margin__s;
    @media @media_tablet, @media_smartphone {
        position: static;
        top: initial;
    }
    @media @media_tablet {
        width: 100%;
        text-align: center;
        margin: @margin__m auto;
        img {
            max-width: initial;
            height: 100%;
            width: auto;
        }
    }
    @media @media_smartphone {
        width: 100%;
        margin-bottom: @margin__s;
    }
}

.c-newsArticle__content {
    width: calc(100% ~'-' 400px);
    padding-left: @margin__l;

    .c-newsArticle__header {
        .u-flex-display;
        .u-justify-content(space-between);
        .u-align-items(flex-end);
        padding-bottom: 30px;
        border-bottom: solid 1px @color__secondary;
    }

    .c-newsItem__info {
        margin-top: @margin__s;
        text-transform: uppercase;
        span:first-child {
            color: @color__secondary;
            margin-right: 5px;
        }
    }

    @media @media_tablet, @media_smartphone {
        width: 100%;
        padding: 0 @margin__s;

        .c-newsArticle__header  {
            .u-flex-direction(column);
            .u-align-items(flex-start);
            .u-justify-content(space-between);
            padding: @margin__s 0;
            .c-newsItem__info {
                margin-top: @margin__s;
            }
        }
    }

    @media @media_tablet {
        padding: 0 @margin__m;
    }

    @media @media_smartphone {
        .c-newsArticle__header {
            .c-newsItem__info {
                margin-top: @margin__m;
            }
        }
    }
}
